using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class CmUserToLicense {
        [Key]
        public int SiteId { get; set; }
        [Key]
        [StringLength(24)]
        public string UserId { get; set; }
        [Key]
        public int LicenseId { get; set; }
        [ForeignKey("UserId")]
        [InverseProperty("CmUserToLicense")]
        public virtual CmUser CmUser { get; set; }
        [ForeignKey("SiteId,LicenseId")]
        [InverseProperty("CmUserToLicense")]
        public virtual FmsLicense FmsLicense { get; set; }
    }
}
